package xyz.wbsite.frame.base;

import java.util.HashSet;
import java.util.Set;

public class UserEntity extends BaseEntity {

    private String userName;

    private String userAlias;

    private String password;

    private Set<String> resSet = new HashSet<>();

    public String getUserName() {
        return userName;
    }

    public void setUserName(String userName) {
        this.userName = userName;
    }

    public String getUserAlias() {
        return userAlias;
    }

    public void setUserAlias(String userAlias) {
        this.userAlias = userAlias;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public Set<String> getResSet() {
        return resSet;
    }

    public void setResSet(Set<String> resSet) {
        this.resSet = resSet;
    }

    public void putRes(String resource) {
        resSet.add(resource);
    }

    public void putRes(Set<String> resourceSet) {
        this.resSet.addAll(resourceSet);
    }
}
